import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CollapseComponent implements OnInit {
    private render;
    hrzn: boolean;
    panel: ElementRef;
    show: boolean;
    constructor(render: Renderer2);
    ngOnInit(): void;
    tgle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CollapseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CollapseComponent, "ngb-collapse", never, { "hrzn": "hrzn"; }, {}, never, ["*"]>;
}
